### Method

# ECal ComponentAlarmInstance copy

since: 3.34

#### Declaration [src]

    ECalComponentAlarmInstance*
    e_cal_component_alarm_instance_copy (
      const ECalComponentAlarmInstance* instance
    )

#### Description [src]

Returns a newly allocated copy of `instance`, which should be freed with e_cal_component_alarm_instance_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarmInstance`

A newly allocated copy of `instance`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.